Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Class DistributedManagementException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.management.ManagementException
                              |
                              +--weblogic.management.DistributedManagementException

public final class DistributedManagementException
extends ManagementException

This exception wraps a set of exceptions thrown when trying to update attributes over multiple managed servers in a WebLogic Domain.

See Also:
  Serialized Form

Field Summary
`static int` | `MAX_EXCEPTIONS`

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`DistributedManagementException(java.util.List exceptionsArg)` The argument to this constructor must contain 0 or more DistributedUpdateException instances, or an java.lang.IllegalArgumentException will be thrown.

Method Summary
`java.util.List` | `getExceptions()` This is guaranteed to return a list containing 0 or more DistributedUpdateException instances.
`java.lang.String` | `getMessage()`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream stream)`
`void` | `printStackTrace(java.io.PrintWriter writer)`

Methods inherited from class weblogic.management.ManagementException
`unWrapExceptions`

Methods inherited from class weblogic.utils.NestedException
`getNested, getNestedException, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_EXCEPTIONS

    public static final int MAX_EXCEPTIONS

Constructor Detail

### DistributedManagementException

    public DistributedManagementException(java.util.List exceptionsArg)

  The argument to this constructor must contain 0 or more DistributedUpdateException instances, or an java.lang.IllegalArgumentException will be thrown.

Method Detail

### getExceptions

    public java.util.List getExceptions()

  This is guaranteed to return a list containing 0 or more DistributedUpdateException instances.

### printStackTrace

    public void printStackTrace()

  Overrides:
    printStackTrace in class weblogic.utils.NestedException

### printStackTrace

    public void printStackTrace(java.io.PrintStream stream)

  Overrides:
    printStackTrace in class weblogic.utils.NestedException

### printStackTrace

    public void printStackTrace(java.io.PrintWriter writer)

  Overrides:
    printStackTrace in class weblogic.utils.NestedException

### getMessage

    public java.lang.String getMessage()

  Overrides:
    getMessage in class weblogic.utils.NestedException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference